Welcome back! Ask questions, get answers, and join our large community of tax professionals.
cancel
Showing results for 
Search instead for 
Did you mean: 

System Requirements for ProConnect Tax Online

Highlighted
Intuit

System Requirements for ProConnect Tax Online

This article covers the system requirements and supported browsers for ProConnect Tax Online.

 

System Requirements Minimum System Requirements
  • A computer with a supported web browser installed (see below). We recommend:
    • PC: Intel Core i3 or a comparable processor (2013 or newer) with 2GB of RAM (4GB+ recommended) running Windows 7 or later.
    • Mac: Running OS X 10.11 or later.
    • We do not support the Linux operating system, including Ubuntu or Fedora.

     

  • A Internet connection 1.5Mbps or higher. 3Mbps+ connection recommended
  • 1366 x 768 minimum screen resolution.
  • For Windows users: Adobe Reader 11.0 or higher is required for printing forms (this is a free download https://get.adobe.com/reader/).
  • For printing forms, a laser or inkjet printer is required.

Recommended System Requirements

  • A computer with the latest version of modern web browser installed (Chrome, Firefox, Safari). We recommend:
    • PC: Intel Core i5 or comparable processor (2015 or newer) with 4GB of RAM running Windows 7 or later.
    • Mac: Running OS X 10.13 or later.
    • We do not support the Linux operating system, including Ubuntu or Fedora.

     

  • An Internet connection (3Mbps or higher).
  • 1440 x 900 screen resolution or higher.
  • For Windows users: Adobe Reader 11.0 or higher is required for printing forms (this is a free download https://get.adobe.com/reader/).
  • For printing forms, a laser or inkjet printer is required.

 

Supported Browsers
(Please check with the browser's developer for its system requirements.)
Windows
  • Google Chrome - This browser automatically keeps itself updated.
  • Mozilla Firefox - This browser automatically keeps itself updated.
    Note: We block anything older than 2 releases past.

Mac

  • Safari for Mac version 12.1 or later.
  • Google Chrome - This browser automatically keeps itself updated.
  • Mozilla Firefox - This browser automatically keeps itself updated.
    Note: To preview and print forms, you also need the Firefox PDF Plugin.

Was this helpful?

You must sign in to vote, reply, or post
Labels (1)